org.jboss.netty.handler.execution

## Class ChannelDownstreamEventRunnable

- java.lang.Object
- - org.jboss.netty.handler.execution.ChannelEventRunnable
  - - org.jboss.netty.handler.execution.ChannelDownstreamEventRunnable

All Implemented Interfaces:
  Runnable, EstimatableObjectWrapper

    public class ChannelDownstreamEventRunnable
    extends ChannelEventRunnable

A `ChannelEventRunnable` which sends the specified `ChannelEvent` downstream.

### Field Summary

### Fields inherited from class org.jboss.netty.handler.execution.ChannelEventRunnable

`ctx, e, PARENT`

### Constructor Summary

Constructors
Constructor and Description
`ChannelDownstreamEventRunnable(ChannelHandlerContext ctx, ChannelEvent e, Executor executor)`

### Method Summary

Methods
`protected void` `doRun()` Send the `ChannelEvent` downstream

### Methods inherited from class org.jboss.netty.handler.execution.ChannelEventRunnable

`getContext, getEvent, run, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChannelDownstreamEventRunnable

    public ChannelDownstreamEventRunnable(ChannelHandlerContext ctx,
                                  ChannelEvent e,
                                  Executor executor)

### Method Detail

#### doRun

    protected void doRun()

Send the `ChannelEvent` downstream

Specified by:
  `doRun` in class `ChannelEventRunnable`